<div id="ok" #scrollMe >
    <h1 style="text-decoration-line: underline;">Time Line:</h1>
<app-comment-input  title="{{Offer?.client?.name + ' a creer l offre :'}}" content=""></app-comment-input>
<div class="card"  class="col-sm-6 col-12" >
    <img class="card-img-top" src="../../../../assets/appart.jpg" alt="Card image cap">
    <div class="card-body">
      <h5 class="card-title">{{Offer?.titre}}</h5>
      <p class="card-text">{{Offer?.adress?.adressContent}}</p>
      <a  href="Offer/View/{{Offer?.id}}" class="btn btn-primary">View</a>
    </div>
  </div>
<app-comment-input Href="{{frontUrl}}VisitorCard/{{bit?.visitorId}}" title="{{FirstBitComment?.senderName + ' a creer le bit :'}}" content="{{FirstBitComment?.content}}"></app-comment-input>
<div *ngFor="let item of NeutralComments">
<app-comment-input title="{{item.senderName + ' a envoyé :'}}" content="{{item.content}}"></app-comment-input>
</div>
<div *ngIf="bit?.state===bitState.Open" >

</div>
<app-comment-input *ngIf="RejectedComment!=undefined" title="{{RejectedComment.senderName + ' a rejeté le bit:'}}" content="{{RejectedComment.content}}"></app-comment-input>
<app-comment-input *ngIf="AcceptedComment!=undefined" title="{{AcceptedComment.senderName + ' a accetpé le bit:'}}" content="{{AcceptedComment.content}}"></app-comment-input>
<div #report *ngFor="let item of loadRaportComponent">
<app-comment-input (outputContent)="ChangeContent($event)" [isDisabled]="false"   title="Add your Report :" content="report" aria-placeholder="Add the report man"></app-comment-input>
<app-dropzone (fileDropped)="addFiles($event)"></app-dropzone>
<div class="files-list" #files *ngFor="let file of ReportFiles; let i = index">
    <app-file  [Myfile]=file>
    </app-file>
    <img src="../../../assets/ic-delete-file.svg" class="delete" width="20px" alt="file" (click)="deleteFile(i)">
</div>
<div #validationErrors class="row" *ngIf="validationErrors.length > 0">
    <ul class="text-danger">
        <li *ngFor="let error of validationErrors">
            {{error}}
        </li>
    </ul>
</div>
<hr>
<button #save [disabled]='!isRapportValid' class="btn btn-sm btn-success" (click)="SaveReport()">Save</button>
<button  class="btn btn-sm btn-danger" (click)="CancelReport()">Cancel</button>
</div>
<div #ReportResult *ngIf="!helper.isObjectEmptyOrNull(bit?.report)">
<app-comment-input  title="{{bit?.visitorName + ' a soumis un raport : '}}" content="{{bit?.report?.content}}"></app-comment-input>
    <div #buttonsReport *ngIf="isClient && !isOfferDone">
        <button  class="btn btn-success btn-sm " (click)="AcceptReport()">Accept Report</button>
        <button class="btn btn-success btn-sm " (click)="RejectReport()">Reject Report</button>
    </div>
</div>
<app-comment-input *ngIf="ReportRejectedComment!=undefined" title="{{ReportRejectedComment.senderName + ' a rejeté le raport'}}" content="{{ReportRejectedComment.content}}"></app-comment-input>
<app-comment-input *ngIf="isRapportAccepted" title="{{Offer?.client?.name}} accepté a accepté le raport" content=""></app-comment-input>
<div *ngIf="!isOfferDone" #buttons>
<button *ngIf="bit?.state!=bitState.Rejected && helper.isObjectEmptyOrNull(bit?.report)" class="btn btn-success btn-sm " (click)="Respond()" >Respond</button>
<button *ngIf="bit?.state===bitState.Open && helper.isObjectEmptyOrNull(bit?.report) && isClient" class="btn btn-success btn-sm " (click)="Accept()">Accept</button>
<button *ngIf="bit?.state===bitState.Open && helper.isObjectEmptyOrNull(FirstBitComment?.report)  && isClient" class="btn btn-danger btn-sm " (click)="Reject()">Reject</button>
<button *ngIf="bit?.state===bitState.Rejected || isVisitor " class="btn btn-danger btn-sm " (click)="DeleteBit()">Delete Bit</button>
<button *ngIf="bit?.state===bitState.Accepted && helper.isObjectEmptyOrNull(bit?.report)  && isVisitor" class="btn btn-success btn-sm " (click)="AddReport()" >Make Report</button>
</div>
<a *ngIf="isClient" href="{{frontUrl}}VisitorCard/{{bit.visitorId}}" >See Visitor's Card</a>
<button *ngIf="ReportFilesExist"  class="btn btn-success btn-sm " (click)="DownloadAll()" >Download the attachments</button>
</div>